Description

Hi,

I have a filename - "What's New.txt" in my repository and when I click on it I get the notice_scm_error. I

notice this only for this file.

Thanks,

Nikolay

History

#1 - 2007-05-09 02:54 - Nikolay Solakov

And something more:

when I click on any View differences concerning a single

file (mean the right links for every file on a revision

page) I get the same error.

Thanks

#2 - 2007-05-09 13:24 - Jean-Philippe Lang

Hi

First point is fixed in rev 522.

Concerning the second point, does this problem occur for any

file ? Could you post the correponding log (in dev mode) ? In

particular, the line that starts with: "Shelling out:"

(the svn command in fact).

#3 - 2007-05-09 15:28 - Nikolay Solakov

Hi,

The problem comes with changing the address of the

repository. The changes table remains in the old paths.

example:

old: http://host/svn/repository concatenatet with

/project1/file1,

new: http://host/svn/repository/project1 concatenated with

/project1/file1.

new doubles /project1.

Regards,

Nikolay

#4 - 2007-05-09 15:31 - Nikolay Solakov

As for the top link "View differences", it shows just

the

changeset for the selected revision of the repository. So it

works correct. The right individual file links are affected

of the problem.

I hope it helps :)

#5 - 2007-05-09 15:38 - Nikolay Solakov

2025-05-17 1/3

http://host/svn/repository
http://host/svn/repository/project1


The question is: Is it possible to setting the link for the

repository of some project to any path different from root

of the repository?

Maybe this is the problem.

#6 - 2007-05-09 15:56 - Jean-Philippe Lang

Is it possible to setting the link for the

 repository of some project to any path different from root

of the repository?

Yes.

The problem comes with changing the address of the

 repository.

How did you change the url of the repository, through the web

app or directly in the db ?

The changes table remains in the old paths.

 Paths in the "changes" table are always absolute, even

if your repository url points to a subdir.

In fact, the root url of the repository is retrieved and stored

in db (look at the repository table).

#7 - 2007-05-09 16:07 - Nikolay Solakov

Hi,

Shelling out: svn diff -r 189:190

"http://*.*.*.*/svn/build/oraBuild/Development//oraBuild/Dev

elopment/Tools/MkVer4/ReadMe1st.TXT"@190

--username * --password *

I removed the checkbox of the repo url through the web app.

Then I added the url againg. Then I clicked SVN Repository

for filling the tables in the db. And then I got this in the

development log with the error displayed.

Thanks,

Nikolay

#8 - 2007-05-10 13:42 - Jean-Philippe Lang

I would like to know 2 more things:

- what value you have in the root_url field of your repository

table (if it was working, you should have something like

http://*.*.*.*/svn/build/)

- what you get when you run this svn command:

svn info http://*.*.*.*/svn/build/oraBuild/Development/

(full output please)

#9 - 2007-05-10 14:15 - Nikolay Solakov

Hello,

My SVN Repo from the web app:

 http://*.*.*.*/svn/build/oraBuild/Development/

My root_url:

 http://*.*.*.*/svn/build;

svn info http://*.*.*.*/svn/build/oraBuild/Development/

 Path: Development
URL: http://*.*.*.*/svn/build/oraBuild/Development

Repository Root: http://*.*.*.*/svn/build

Repository UUID: af4b8885-56d8-484b-8861-d50510d6205b

Revision: 190

Node Kind: directory

Last Changed Author: niki

Last Changed Rev: 190

Last Changed Date: 2007-05-05 13:09:11 +0300 (Ã‘ÂÃ‘Å ÃÂ±ÃÂ¾Ã‘â€šÃÂ°, 05

ÃÅ“ÃÂ°ÃÂ¹

2007)

Hope it helps :)

Thank,

Nikolay

#10 - 2007-05-10 14:16 - Nikolay Solakov

The root_url is without the ";" at the end.

#11 - 2007-05-10 14:40 - Jean-Philippe Lang

Thanks

I found the bug. Rev 528 should fix it.

#12 - 2007-05-11 15:49 - Nikolay Solakov

I think it's ok now.

Thanks,

Nikolay
